from django.contrib import admin
from opportunities.models import Opportunity, OpportunityList, SourcePackage

class OpportunityAdmin(admin.ModelAdmin):
    list_display = ('description', 'sourcepackage', 'opportunitylist', 'last_updated')
    list_filter = ('opportunitylist', 'last_updated')

class OpportunityListAdmin(admin.ModelAdmin):
    list_display = ('name', 'description', 'last_updated', 'active')
    list_filter = ('last_updated', 'active')

class SourcePackageAdmin(admin.ModelAdmin):
    list_display = ('name', )

admin.site.register(Opportunity, OpportunityAdmin)
admin.site.register(OpportunityList, OpportunityListAdmin)
admin.site.register(SourcePackage, SourcePackageAdmin)
